<?php
	// required headers
	header("Access-Corder_listrol-Allow-Origin: *");
	header("Corder_listent-Type: application/json; charset=UTF-8");
	header("Access-Corder_listrol-Allow-Methods: POST");
	header("Access-Corder_listrol-Max-Age: 3600");
	header("Access-Corder_listrol-Allow-Headers: Corder_listent-Type, Access-Corder_listrol-Allow-Headers, Authorization, X-Requested-With");
	session_start();

	include_once '../config/database.php';
	include_once '../objects/order_list.php';

	date_default_timezone_set('Asia/Rangoon'); 

	$database = new Database();
	$db = $database->getConnection();
	 
	$order_list = new OrderList($db);
	$data = json_decode(file_get_contents("php://input"));

	$order_list->city = $data->city;
	$stmt = $order_list->getAllRows();
	$num = $stmt->rowCount();
	$arr=array();
	$arr["records"]=array();

	if($num>0){


		while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
			extract($row);
			$item=array(
				"id" => (int)$id,
				"city" => ($city)?$city:"",
				"order_no" => ($order_no)?$order_no:"",
				"order_date" => ($order_date)?$order_date:"",
				"plan" => ($plan)?$plan:"",
				"month" =>($month)?$month:"",
				"name" => ($name)?$name:""
			);
			array_push($arr["records"], $item);
		}
	 

	}

	echo json_encode($arr);
?>